## starlette 0.26.1

=== requirements.txt ===
# Optionals
-e .[full]

# Testing
autoflake==1.5.3
black==22.12.0
coverage==7.1.0
flake8==3.9.2
importlib-metadata==4.13.0
isort==5.10.1
mypy==1.0.1
typing_extensions==4.4.0
types-contextvars==2.4.7.1
types-PyYAML==6.0.12.3
types-dataclasses==0.6.6
pytest==7.2.1
trio==0.21.0

# Documentation
mkdocs==1.4.2
mkdocs-material==9.0.15
mkautodoc==0.2.0

# Packaging
build==0.10.0
twine==4.0.2

## starlette 0.13.3

=== debian/changelog ===
starlette (0.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 27 Apr 2020 14:44:24 +0200

starlette (0.13.2-1) unstable; urgency=low

  * Initial release (closes: 954102)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Mar 2020 18:07:04 +0000

=== debian/control ===
Source: starlette
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
               python3-all (>= 3.6),
               python3-setuptools,
               python3-requests <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://www.starlette.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/starlette.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/starlette

Package: python3-starlette
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends},
 python3-uvicorn | python3-daphne,
 python3-aiofiles,
 python3-h11,
 python3-itsdangerous,
 python3-graphene,
 python3-jinja2,
 python3-ujson,
 python3-yaml,
Suggests: ${python3:Suggests},
 python3-databases,
# not in Debian yet:
 python3-multipart,
Description: ASGI library ideal for building high performance asyncio services
 Starlette is a lightweight ASGI (Asynchronous Server Gateway Interface)
 framework/toolkit, which is ideal for building high performance asyncio
 services.
 .
 It is production-ready, and gives you the following:
 .
  * Seriously impressive performance.
  * WebSocket support.
  * GraphQL support.
  * In-process background tasks.
  * Startup and shutdown events.
  * Test client built on `requests`.
  * CORS, GZip, Static Files, Streaming responses.
  * Session and Cookie support.
  * 100% test coverage.
  * 100% type annotated codebase.
  * Zero hard dependencies.
 .
 Example:
 .
  from starlette.applications import Starlette
  from starlette.responses import JSONResponse
  from starlette.routing import Route
 .
  async def homepage(request):
      return JSONResponse({'hello': 'world'})
 .
  app = Starlette(debug=True, routes=[
    Route('/', homepage),
  ])

## starlette 0.13.4

=== debian/changelog ===
starlette (0.13.4-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 02 May 2020 00:06:35 +0200

## starlette 0.13.7

=== debian/changelog ===
starlette (0.13.7-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Aug 2020 12:54:28 +0200

## starlette 0.13.8

=== debian/changelog ===
starlette (0.13.8-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 24 Sep 2020 10:45:41 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                python3-requests <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://www.starlette.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/starlette.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/starlette
+Vcs-Git: https://salsa.debian.org/python-team/packages/starlette.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/starlette
 
 Package: python3-starlette
 Architecture: all

## starlette 0.14.1

=== debian/changelog ===
starlette (0.14.1-1) unstable; urgency=medium

  * New upstream release
    - UJSONResponse no longer supported - python3-ujson removed from Recommends

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Nov 2020 19:51:13 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-itsdangerous,
  python3-graphene,
  python3-jinja2,
- python3-ujson,
  python3-yaml,
 Suggests: ${python3:Suggests},
  python3-databases,

## starlette 0.16.0

=== debian/changelog ===
starlette (0.16.0-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Piotr Ożarowski ]
  * New upstream release
  * Add python3-anyio to Build-Depends (used by tests)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 17 Aug 2021 15:04:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python,
                python3-all (>= 3.6),
                python3-setuptools,
                python3-requests <!nocheck>,
+               python3-anyio <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://www.starlette.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/starlette.git

## starlette 0.18.0

=== debian/changelog ===
starlette (0.18.0-1) unstable; urgency=medium

  * New upstream release
    - add python3-typing-extensions to Build-Depends
    - GraphQL support removed

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 09 Feb 2022 17:35:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                python3-setuptools,
                python3-requests <!nocheck>,
                python3-anyio <!nocheck>,
+               python3-typing-extensions <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://www.starlette.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/starlette.git
@@ -21,7 +22,6 @@
  python3-aiofiles,
  python3-h11,
  python3-itsdangerous,
- python3-graphene,
  python3-jinja2,
  python3-yaml,
 Suggests: ${python3:Suggests},
@@ -37,7 +37,6 @@
  .
   * Seriously impressive performance.
   * WebSocket support.
-  * GraphQL support.
   * In-process background tasks.
   * Startup and shutdown events.
   * Test client built on `requests`.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/starlette/starlette-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## starlette 0.20.4

=== debian/changelog ===
starlette (0.20.4-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 15 Sep 2022 21:35:23 +0200

## starlette 0.23.1

=== debian/changelog ===
starlette (0.23.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-all.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - replace b-d on dh-python with pybuild-plugin-pyproject
    - add hatchling to b-d, needed by pyproject.toml
    - add httpx to b-d, needed by tests
    - drop requests from b-d, replaced by httpx

 -- Sandro Tosi <morph@debian.org>  Fri, 09 Dec 2022 16:15:21 -0500

## starlette 0.24.0

=== debian/changelog ===
starlette (0.24.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 09 Feb 2023 15:32:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python,
-               python3-all (>= 3.6),
+Build-Depends: debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
+               python3-all,
+	       python3-hatchling,
                python3-setuptools,
-               python3-requests <!nocheck>,
+               python3-httpx (>= 0.22.0) <!nocheck>,
                python3-anyio <!nocheck>,
                python3-typing-extensions <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://www.starlette.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/starlette.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/starlette
@@ -39,7 +41,7 @@
   * WebSocket support.
   * In-process background tasks.
   * Startup and shutdown events.
-  * Test client built on `requests`.
+  * Test client built on `httpx`.
   * CORS, GZip, Static Files, Streaming responses.
   * Session and Cookie support.
   * 100% test coverage.

## starlette 0.25.0

=== debian/changelog ===
starlette (0.25.0-2) unstable; urgency=medium

  * Breaks: python3-fastapi (<< 0.91.0-1~) closes: 1031898

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 24 Feb 2023 22:14:04 +0100

starlette (0.25.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 17 Feb 2023 14:04:31 +0100

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  python3-databases,
 # not in Debian yet:
  python3-multipart,
+Breaks: python3-fastapi (<< 0.91.0-1~)
 Description: ASGI library ideal for building high performance asyncio services
  Starlette is a lightweight ASGI (Asynchronous Server Gateway Interface)
  framework/toolkit, which is ideal for building high performance asyncio

## starlette 0.26.1

=== debian/changelog ===
starlette (0.26.1-1) unstable; urgency=medium

  * New upstream release
  * Set Testsuite: autopkgtest-pkg-pybuild

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 01 Apr 2023 15:33:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,23 @@
                python3-all,
 	       python3-hatchling,
                python3-setuptools,
+               python3-pytest <!nocheck>,
+               python3-aiofiles <!nocheck>,
+               python3-anyio <!nocheck>,
+               python3-h11 <!nocheck>,
                python3-httpx (>= 0.22.0) <!nocheck>,
-               python3-anyio <!nocheck>,
+               python3-multipart <!nocheck>,
+               python3-itsdangerous <!nocheck>,
+               python3-jinja2 <!nocheck>,
+               python3-trio <!nocheck>,
                python3-typing-extensions <!nocheck>,
+               python3-uvicorn | python3-daphne <!nocheck>,
+               python3-yaml <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://www.starlette.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/starlette.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/starlette
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-starlette
 Architecture: all
@@ -25,11 +35,10 @@
  python3-h11,
  python3-itsdangerous,
  python3-jinja2,
+ python3-multipart,
  python3-yaml,
 Suggests: ${python3:Suggests},
  python3-databases,
-# not in Debian yet:
- python3-multipart,
 Breaks: python3-fastapi (<< 0.91.0-1~)
 Description: ASGI library ideal for building high performance asyncio services
  Starlette is a lightweight ASGI (Asynchronous Server Gateway Interface)

## starlette 0.28.0

=== requirements.txt ===
# Optionals
-e .[full]

# Testing
black==23.3.0
coverage==7.2.5
importlib-metadata==6.6.0
mypy==1.3.0
ruff==0.0.263
typing_extensions==4.5.0
types-contextvars==2.4.7.2
types-PyYAML==6.0.12.10
types-dataclasses==0.6.6
pytest==7.3.1
trio==0.21.0

# Documentation
mkdocs==1.4.3
mkdocs-material==9.1.15
mkautodoc==0.2.0

# Packaging
build==0.10.0
twine==4.0.2

=== debian/changelog ===
starlette (0.28.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 22 Jun 2023 14:24:07 +0200

## starlette 0.30.0

=== requirements.txt ===
# Optionals
-e .[full]

# Testing
black==23.3.0
coverage==7.2.7
importlib-metadata==6.6.0
mypy==1.4.1
ruff==0.0.275
typing_extensions==4.7.0
types-contextvars==2.4.7.2
types-PyYAML==6.0.12.10
types-dataclasses==0.6.6
pytest==7.3.1
trio==0.21.0

# Documentation
mkdocs==1.4.3
mkdocs-material==9.1.17
mkautodoc==0.2.0

# Packaging
build==0.10.0
twine==4.0.2

=== debian/changelog ===
starlette (0.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 21 Jul 2023 13:56:00 +0200

## starlette 0.31.1

=== requirements.txt ===
# Optionals
-e .[full]

# Testing
black==23.7.0
coverage==7.2.7
importlib-metadata==6.6.0
mypy==1.4.1
ruff==0.0.285
typing_extensions==4.7.0
types-contextvars==2.4.7.2
types-PyYAML==6.0.12.11
types-dataclasses==0.6.6
pytest==7.4.0
trio==0.21.0
anyio==3.7.1

# Documentation
mkdocs==1.5.2
mkdocs-material==9.1.17
mkautodoc==0.2.0

# Packaging
build==0.10.0
twine==4.0.2

=== debian/changelog ===
starlette (0.31.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 20 Sep 2023 12:09:50 +0200

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=starlette
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -f debian/python3-starlette/usr/LICENSE.md

## starlette 0.37.2

=== debian/changelog ===
starlette (0.37.2-1) unstable; urgency=medium

  * New upstream release
    - closes: 1067372 (FTBFS)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 17 Apr 2024 23:49:19 +0200

starlette (0.37.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 12 Feb 2024 10:24:26 +0100

starlette (0.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Dec 2023 15:06:23 +0100

## starlette 0.38.2

=== debian/changelog ===
starlette (0.38.2-1) unstable; urgency=medium

  * New upstream release
    - fixes python-anyio FTBFS (closes: 1077384)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 14 Aug 2024 13:46:53 +0200

## starlette 0.38.5

=== debian/changelog ===
starlette (0.38.5-0ubuntu1) oracular; urgency=medium

  * New upstream point release.
  * d/p/anyio-4.4-compat.patch: Workaround issues with stream closure with
    anyio >= 4.4.0 (LP: #2080016).

 -- James Page <james.page@ubuntu.com>  Wed, 11 Sep 2024 11:04:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: starlette
 Section: python
 Priority: optional
-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,

## starlette 0.39.1

=== debian/changelog ===
starlette (0.39.1-1) unstable; urgency=medium

  * New upstream release
    - builds with Python 3.13 (closes: 1082318)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 27 Sep 2024 15:35:22 +0200

## starlette 0.39.2

=== debian/changelog ===
starlette (0.39.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Oct 2024 16:06:05 +0200

## starlette 0.41.0

=== debian/changelog ===
starlette (0.41.0-1) unstable; urgency=high

  * New upstream release
    - fixes CVE-2024-47874 (closes: 1085295)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 18 Oct 2024 09:00:46 +0200

## starlette 0.41.2

=== debian/changelog ===
starlette (0.41.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 29 Oct 2024 12:13:35 +0100

## starlette 0.41.3

=== requirements.txt ===
# Optionals
-e .[full]

# Testing
coverage==7.6.1
importlib-metadata==8.5.0
mypy==1.11.2
ruff==0.6.8
typing_extensions==4.12.2
types-contextvars==2.4.7.3
types-PyYAML==6.0.12.20240917
types-dataclasses==0.6.6
pytest==8.3.3
trio==0.26.2

# Documentation
mkdocs==1.6.1
mkdocs-material==9.5.39
mkautodoc==0.2.0

# Packaging
build==1.2.2
twine==5.1.1

=== debian/changelog ===
starlette (0.41.3-2) unstable; urgency=medium

  * Team upload.
  * Accept renamed python3-python-multipart (see #1085728).

 -- Colin Watson <cjwatson@debian.org>  Wed, 27 Nov 2024 20:22:41 +0000

starlette (0.41.3-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 21 Nov 2024 14:43:08 +0100

## starlette 0.46.1

=== requirements.txt ===
# Optionals
-e .[full]

# Testing
coverage==7.6.12
importlib-metadata==8.6.1
mypy==1.15.0
ruff==0.9.9
typing_extensions==4.12.2
types-contextvars==2.4.7.3
types-PyYAML==6.0.12.20241230
types-dataclasses==0.6.6
pytest==8.3.4
trio==0.29.0

# Documentation
black==25.1.0
mkdocs==1.6.1
mkdocs-material==9.6.6
mkdocstrings-python==1.16.2

# Packaging
build==1.2.2.post1
twine==6.1.0

=== debian/changelog ===
starlette (0.46.1-3) unstable; urgency=high

 [ Yang Wang ]
 * Fix CVE-2025-54121: Avoid event loop blocking during multipart file uploads
   by writing to disk using thread pool to prevent synchronous blocking when
   SpooledTemporaryFile rolls over to disk. (Closes: #1109805)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 28 Jul 2025 11:42:53 +0200

starlette (0.46.1-2) unstable; urgency=medium

  * Team upload.
  [ Bas Couwenberg ]
  * Fix test failures with older dependencies in testing. Closes: #1100087.

 -- Santiago Vila <sanvila@debian.org>  Tue, 11 Mar 2025 22:20:00 +0100

starlette (0.46.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.46.1 (Closes: #1099291)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 13:07:26 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: starlette
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Piotr Ożarowski <piotr@debian.org>
+Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
@@ -14,9 +13,9 @@
                python3-anyio <!nocheck>,
                python3-h11 <!nocheck>,
                python3-httpx (>= 0.22.0) <!nocheck>,
-               python3-multipart <!nocheck>,
                python3-itsdangerous <!nocheck>,
                python3-jinja2 <!nocheck>,
+               python3-multipart (<< 0.1) | python3-python-multipart <!nocheck>,
                python3-trio <!nocheck>,
                python3-typing-extensions <!nocheck>,
                python3-uvicorn | python3-daphne <!nocheck>,
@@ -36,7 +35,7 @@
  python3-h11,
  python3-itsdangerous,
  python3-jinja2,
- python3-multipart,
+ python3-multipart (<< 0.1) | python3-python-multipart,
  python3-yaml,
 Suggests: ${python3:Suggests},
  python3-databases,

## starlette 0.50.0

=== debian/changelog ===
starlette (0.50.0-1) unstable; urgency=medium

  * Team upload.

  [ Piotr Ożarowski ]
  * [a6c184c] fix changelog indentation

  [ Carsten Schoenert ]
  * [48c5e6e] d/watch: Convert to version 5
  * [5c75aa2] New upstream version 0.50.0
    Fixed CVE issue by upstream version 0.49.1:
    CVE-2025-62727: O(n^2) DoS via Range header merging in
                    `starlette.responses.FileResponse`
    Fixed CVE issue by upstream version 0.47.2:
    CVE-2025-54121: Possible denial-of-service vector when parsing large
                    files in multipart forms
    (Closes: #1119662)
  * [ef9cf9c] Rebuild patch queue from patch-queue branch
    Removed patch (included upstream):
    0002-fix-cve-2024-28849-async-write.patch
    Renamed patch:
    json-format.patch -->
    tests-Adjust-JSON-formating-to-work-with-older-packages.patch
  * [0b20e68] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [2eeb4b3] d/gbp.conf: Add some more minor default config
  * [b5247df] d/u/metadata: Update data
  * [ba0f23f] d/copyright: Drop entry about non exiting file
  * [2d637ab] d/copyright: Update Source field data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Jan 2026 12:22:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
-	       python3-hatchling,
+               python3-hatchling,
                python3-setuptools,
                python3-pytest <!nocheck>,
                python3-aiofiles <!nocheck>,
@@ -20,7 +20,7 @@
                python3-typing-extensions <!nocheck>,
                python3-uvicorn | python3-daphne <!nocheck>,
                python3-yaml <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Homepage: https://www.starlette.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/starlette.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/starlette

=== debian/watch ===
Version: 5

Source: https://github.com/encode/starlette
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Mode: git
Pgpmode: none
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/
